#include "hpp/localstepper/task/gaze-task.hh"
#include "hpp/localstepper/link.hh"
#include "hpp/gik/robot/standing-robot.hh"

ChppLosGazeTask::ChppLosGazeTask ( ChppLosCentipede& inCentipede, ChppLosRobotLink& inRobotLink, const vector3d& inWorlTarget ) :ChppLosPointingTask ( inCentipede, inRobotLink, *inRobotLink.standingRobot().robot()->gazeJoint(), inRobotLink.standingRobot().robot()->gazeOrigin(), inRobotLink.standingRobot().robot()->gazeDirection(), inWorlTarget )
{
}

void  ChppLosGazeTask::localOrigin ( const vector3d& inPoint )
{
}

const vector3d& ChppLosGazeTask::localOrigin()
{
    return attRobotLink->standingRobot().robot()->gazeOrigin();
}

void  ChppLosGazeTask::localVector ( const vector3d& inPoint )
{
}

const vector3d& ChppLosGazeTask::localVector()
{
    return attRobotLink->standingRobot().robot()->gazeDirection();
}

